Update Webhook

Updates a webhook. You can add custom headers. At least one field is required to perform an update.

Authentication

X-Auth-Tokenstring
### OAuth scopes None required. Create and manage webhooks with the default scope of an API account. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

webhook_idstringRequired

Headers

AcceptstringOptionalDefaults to application/json

Request

This endpoint expects an object.
scopestringOptional
Event you subscribe to.
destinationstringOptional

URL must be active, return a 200 response, and be served on port 443. Custom ports arenʼt currently supported.

is_activebooleanOptional
Boolean value that indicates whether the webhook is active or not.
headersobject or nullOptional
Headers used to validate that webhooks are active. You can pass in any number of custom headers to validate webhooks are being returned.

Response

Example response
dataobject
metaany